App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData Class Reference

Třída zapouzdřující data pro kreslení pomocí CancelableTool. More...

Inheritance diagram for mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData:

## Public Member Functions
| CurvesLUTCancelableToolActionData (Action action, float[][] M, float[][] R, float[][] G, float[][] B, float[][] A)

## Public Attributes
float[][] | M
float[][] | R
float[][] | G
float[][] | B
float[][] | A
Action | action
| Akce nástroje.

## Detailed Description

Třída zapouzdřující data pro kreslení pomocí CancelableTool.

Definition at line 8 of file CurvesLUTCancelableToolActionData.java.

## Constructor & Destructor Documentation

mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.CurvesLUTCancelableToolActionData | ( | Action | action,
|  | float | M[][],
|  | float | R[][],
|  | float | G[][],
|  | float | B[][],
|  | float | A[][]
| ) |  |
| inline

Definition at line 17 of file CurvesLUTCancelableToolActionData.java.

{
super(action);
this.M = M;
this.R = R;
this.G = G;
this.B = B;
this.A = A;
}

## Member Data Documentation

float [][] mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.A

Definition at line 15 of file CurvesLUTCancelableToolActionData.java.

Action mhr.appcore.tools.actiondata.CancelableToolActionData.action
| inherited

Akce nástroje.

Definition at line 15 of file CancelableToolActionData.java.

float [][] mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.B

Definition at line 14 of file CurvesLUTCancelableToolActionData.java.

float [][] mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.G

Definition at line 13 of file CurvesLUTCancelableToolActionData.java.

float [][] mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.M

Definition at line 11 of file CurvesLUTCancelableToolActionData.java.

float [][] mhr.appcore.tools.actiondata.CurvesLUTCancelableToolActionData.R

Definition at line 12 of file CurvesLUTCancelableToolActionData.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/tools/actiondata/CurvesLUTCancelableToolActionData.java